Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.76.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
7.76.0.0
Broadcast address
7.77.255.255
First usable
7.76.0.1
Last usable
7.77.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 074C0000 · Integer 122421248 to 122552319
Reverse DNS zones
76.7.in-addr.arpa
77.7.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.01001100.00000000.000000007.76.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00000111.01001100.00000000.000000007.76.0.0
Broadcast00000111.01001101.11111111.111111117.77.255.255
Split into smaller subnets/22

7.76.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.76.0.0/227.76.0.1 to 7.76.3.2547.76.3.2551,022
27.76.4.0/227.76.4.1 to 7.76.7.2547.76.7.2551,022
37.76.8.0/227.76.8.1 to 7.76.11.2547.76.11.2551,022
47.76.12.0/227.76.12.1 to 7.76.15.2547.76.15.2551,022
57.76.16.0/227.76.16.1 to 7.76.19.2547.76.19.2551,022
67.76.20.0/227.76.20.1 to 7.76.23.2547.76.23.2551,022
77.76.24.0/227.76.24.1 to 7.76.27.2547.76.27.2551,022
87.76.28.0/227.76.28.1 to 7.76.31.2547.76.31.2551,022
97.76.32.0/227.76.32.1 to 7.76.35.2547.76.35.2551,022
107.76.36.0/227.76.36.1 to 7.76.39.2547.76.39.2551,022
117.76.40.0/227.76.40.1 to 7.76.43.2547.76.43.2551,022
127.76.44.0/227.76.44.1 to 7.76.47.2547.76.47.2551,022
137.76.48.0/227.76.48.1 to 7.76.51.2547.76.51.2551,022
147.76.52.0/227.76.52.1 to 7.76.55.2547.76.55.2551,022
157.76.56.0/227.76.56.1 to 7.76.59.2547.76.59.2551,022
167.76.60.0/227.76.60.1 to 7.76.63.2547.76.63.2551,022
177.76.64.0/227.76.64.1 to 7.76.67.2547.76.67.2551,022
187.76.68.0/227.76.68.1 to 7.76.71.2547.76.71.2551,022
197.76.72.0/227.76.72.1 to 7.76.75.2547.76.75.2551,022
207.76.76.0/227.76.76.1 to 7.76.79.2547.76.79.2551,022
217.76.80.0/227.76.80.1 to 7.76.83.2547.76.83.2551,022
227.76.84.0/227.76.84.1 to 7.76.87.2547.76.87.2551,022
237.76.88.0/227.76.88.1 to 7.76.91.2547.76.91.2551,022
247.76.92.0/227.76.92.1 to 7.76.95.2547.76.95.2551,022
257.76.96.0/227.76.96.1 to 7.76.99.2547.76.99.2551,022
267.76.100.0/227.76.100.1 to 7.76.103.2547.76.103.2551,022
277.76.104.0/227.76.104.1 to 7.76.107.2547.76.107.2551,022
287.76.108.0/227.76.108.1 to 7.76.111.2547.76.111.2551,022
297.76.112.0/227.76.112.1 to 7.76.115.2547.76.115.2551,022
307.76.116.0/227.76.116.1 to 7.76.119.2547.76.119.2551,022
317.76.120.0/227.76.120.1 to 7.76.123.2547.76.123.2551,022
327.76.124.0/227.76.124.1 to 7.76.127.2547.76.127.2551,022
337.76.128.0/227.76.128.1 to 7.76.131.2547.76.131.2551,022
347.76.132.0/227.76.132.1 to 7.76.135.2547.76.135.2551,022
357.76.136.0/227.76.136.1 to 7.76.139.2547.76.139.2551,022
367.76.140.0/227.76.140.1 to 7.76.143.2547.76.143.2551,022
377.76.144.0/227.76.144.1 to 7.76.147.2547.76.147.2551,022
387.76.148.0/227.76.148.1 to 7.76.151.2547.76.151.2551,022
397.76.152.0/227.76.152.1 to 7.76.155.2547.76.155.2551,022
407.76.156.0/227.76.156.1 to 7.76.159.2547.76.159.2551,022
417.76.160.0/227.76.160.1 to 7.76.163.2547.76.163.2551,022
427.76.164.0/227.76.164.1 to 7.76.167.2547.76.167.2551,022
437.76.168.0/227.76.168.1 to 7.76.171.2547.76.171.2551,022
447.76.172.0/227.76.172.1 to 7.76.175.2547.76.175.2551,022
457.76.176.0/227.76.176.1 to 7.76.179.2547.76.179.2551,022
467.76.180.0/227.76.180.1 to 7.76.183.2547.76.183.2551,022
477.76.184.0/227.76.184.1 to 7.76.187.2547.76.187.2551,022
487.76.188.0/227.76.188.1 to 7.76.191.2547.76.191.2551,022
497.76.192.0/227.76.192.1 to 7.76.195.2547.76.195.2551,022
507.76.196.0/227.76.196.1 to 7.76.199.2547.76.199.2551,022
517.76.200.0/227.76.200.1 to 7.76.203.2547.76.203.2551,022
527.76.204.0/227.76.204.1 to 7.76.207.2547.76.207.2551,022
537.76.208.0/227.76.208.1 to 7.76.211.2547.76.211.2551,022
547.76.212.0/227.76.212.1 to 7.76.215.2547.76.215.2551,022
557.76.216.0/227.76.216.1 to 7.76.219.2547.76.219.2551,022
567.76.220.0/227.76.220.1 to 7.76.223.2547.76.223.2551,022
577.76.224.0/227.76.224.1 to 7.76.227.2547.76.227.2551,022
587.76.228.0/227.76.228.1 to 7.76.231.2547.76.231.2551,022
597.76.232.0/227.76.232.1 to 7.76.235.2547.76.235.2551,022
607.76.236.0/227.76.236.1 to 7.76.239.2547.76.239.2551,022
617.76.240.0/227.76.240.1 to 7.76.243.2547.76.243.2551,022
627.76.244.0/227.76.244.1 to 7.76.247.2547.76.247.2551,022
637.76.248.0/227.76.248.1 to 7.76.251.2547.76.251.2551,022
647.76.252.0/227.76.252.1 to 7.76.255.2547.76.255.2551,022
657.77.0.0/227.77.0.1 to 7.77.3.2547.77.3.2551,022
667.77.4.0/227.77.4.1 to 7.77.7.2547.77.7.2551,022
677.77.8.0/227.77.8.1 to 7.77.11.2547.77.11.2551,022
687.77.12.0/227.77.12.1 to 7.77.15.2547.77.15.2551,022
697.77.16.0/227.77.16.1 to 7.77.19.2547.77.19.2551,022
707.77.20.0/227.77.20.1 to 7.77.23.2547.77.23.2551,022
717.77.24.0/227.77.24.1 to 7.77.27.2547.77.27.2551,022
727.77.28.0/227.77.28.1 to 7.77.31.2547.77.31.2551,022
737.77.32.0/227.77.32.1 to 7.77.35.2547.77.35.2551,022
747.77.36.0/227.77.36.1 to 7.77.39.2547.77.39.2551,022
757.77.40.0/227.77.40.1 to 7.77.43.2547.77.43.2551,022
767.77.44.0/227.77.44.1 to 7.77.47.2547.77.47.2551,022
777.77.48.0/227.77.48.1 to 7.77.51.2547.77.51.2551,022
787.77.52.0/227.77.52.1 to 7.77.55.2547.77.55.2551,022
797.77.56.0/227.77.56.1 to 7.77.59.2547.77.59.2551,022
807.77.60.0/227.77.60.1 to 7.77.63.2547.77.63.2551,022
817.77.64.0/227.77.64.1 to 7.77.67.2547.77.67.2551,022
827.77.68.0/227.77.68.1 to 7.77.71.2547.77.71.2551,022
837.77.72.0/227.77.72.1 to 7.77.75.2547.77.75.2551,022
847.77.76.0/227.77.76.1 to 7.77.79.2547.77.79.2551,022
857.77.80.0/227.77.80.1 to 7.77.83.2547.77.83.2551,022
867.77.84.0/227.77.84.1 to 7.77.87.2547.77.87.2551,022
877.77.88.0/227.77.88.1 to 7.77.91.2547.77.91.2551,022
887.77.92.0/227.77.92.1 to 7.77.95.2547.77.95.2551,022
897.77.96.0/227.77.96.1 to 7.77.99.2547.77.99.2551,022
907.77.100.0/227.77.100.1 to 7.77.103.2547.77.103.2551,022
917.77.104.0/227.77.104.1 to 7.77.107.2547.77.107.2551,022
927.77.108.0/227.77.108.1 to 7.77.111.2547.77.111.2551,022
937.77.112.0/227.77.112.1 to 7.77.115.2547.77.115.2551,022
947.77.116.0/227.77.116.1 to 7.77.119.2547.77.119.2551,022
957.77.120.0/227.77.120.1 to 7.77.123.2547.77.123.2551,022
967.77.124.0/227.77.124.1 to 7.77.127.2547.77.127.2551,022
977.77.128.0/227.77.128.1 to 7.77.131.2547.77.131.2551,022
987.77.132.0/227.77.132.1 to 7.77.135.2547.77.135.2551,022
997.77.136.0/227.77.136.1 to 7.77.139.2547.77.139.2551,022
1007.77.140.0/227.77.140.1 to 7.77.143.2547.77.143.2551,022
1017.77.144.0/227.77.144.1 to 7.77.147.2547.77.147.2551,022
1027.77.148.0/227.77.148.1 to 7.77.151.2547.77.151.2551,022
1037.77.152.0/227.77.152.1 to 7.77.155.2547.77.155.2551,022
1047.77.156.0/227.77.156.1 to 7.77.159.2547.77.159.2551,022
1057.77.160.0/227.77.160.1 to 7.77.163.2547.77.163.2551,022
1067.77.164.0/227.77.164.1 to 7.77.167.2547.77.167.2551,022
1077.77.168.0/227.77.168.1 to 7.77.171.2547.77.171.2551,022
1087.77.172.0/227.77.172.1 to 7.77.175.2547.77.175.2551,022
1097.77.176.0/227.77.176.1 to 7.77.179.2547.77.179.2551,022
1107.77.180.0/227.77.180.1 to 7.77.183.2547.77.183.2551,022
1117.77.184.0/227.77.184.1 to 7.77.187.2547.77.187.2551,022
1127.77.188.0/227.77.188.1 to 7.77.191.2547.77.191.2551,022
1137.77.192.0/227.77.192.1 to 7.77.195.2547.77.195.2551,022
1147.77.196.0/227.77.196.1 to 7.77.199.2547.77.199.2551,022
1157.77.200.0/227.77.200.1 to 7.77.203.2547.77.203.2551,022
1167.77.204.0/227.77.204.1 to 7.77.207.2547.77.207.2551,022
1177.77.208.0/227.77.208.1 to 7.77.211.2547.77.211.2551,022
1187.77.212.0/227.77.212.1 to 7.77.215.2547.77.215.2551,022
1197.77.216.0/227.77.216.1 to 7.77.219.2547.77.219.2551,022
1207.77.220.0/227.77.220.1 to 7.77.223.2547.77.223.2551,022
1217.77.224.0/227.77.224.1 to 7.77.227.2547.77.227.2551,022
1227.77.228.0/227.77.228.1 to 7.77.231.2547.77.231.2551,022
1237.77.232.0/227.77.232.1 to 7.77.235.2547.77.235.2551,022
1247.77.236.0/227.77.236.1 to 7.77.239.2547.77.239.2551,022
1257.77.240.0/227.77.240.1 to 7.77.243.2547.77.243.2551,022
1267.77.244.0/227.77.244.1 to 7.77.247.2547.77.247.2551,022
1277.77.248.0/227.77.248.1 to 7.77.251.2547.77.251.2551,022
1287.77.252.0/227.77.252.1 to 7.77.255.2547.77.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses